XBPS-CHECKVERS(1)

NAME
xbps-checkvers - XBPS utility to check for outdated packages

SYNOPSIS
xbps-checkvers [OPTIONS] [FILES...]

DESCRIPTION
The xbps-checkvers utility checks for outdated packages in a target root directory or in all registered repositories by comparing the package versions against the source package versions available in a void-packages tree. By default and unless the -i, --installed option is not set, it will compare package versions in repositories against the void-packages tree. The FILES argument sets extra packages to process with the outdated ones (only processed if missing).

OPTIONS

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '' then it's a relative path of rootdir.

-D, --distdir dir
    Specifies a full path to the void-packages repository. By default set to ~/void-packages.

-d, --debug
    Enables extra debugging shown to stderr.

-h, --help
    Show the help message.

-i, --installed
    Check for outdated installed packages rather than in repositories.

-R, --repository=uri
    Repository to be added to the top of the list. This option can be specified multiple times.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-s, --show-missing
    Shows missing binary packages comparing against the void-packages tree.

-V, --version
    Show the version information.

SEE ALSO
xbps-create(1), xbps-dgraph(1), xbps-fbulk(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Dave Elusive <davehome@redthumb.info.tm> Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues